/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class BaseEntity implements Serializable {

	private static final long serialVersionUID = 331467586921967105L;

	/** The guid. */
	private String guid = UUID.randomUUID().toString();

	/** The created date. */
	private Date createdDate;

	/** The created by. */
	private String createdBy;

	/** The last modified date. */
	private Date lastModifiedDate;

	/** The last modified by. */
	private String lastModifiedBy;

	public BaseEntity() {
		super();
	}

}
